# Release information

## make release
* update ontologies via `ontology.update_ontology_files()`
* update release notes in `release-notes` with commit
* make sure all tests run (`tox run-parallel`)
* check formating and linting (`ruff check`)
* test bump version (`uv run bump-my-version bump [major|minor|patch] --dry-run -vv`)
* bump version (`bump-my-version bump [major|minor|patch]`)
* `git push --tags` (triggers release)
* `git push`

* test installation in virtualenv from pypi
```
uv venv --python 3.13
uv pip install pymetadata
```

# Install dev dependencies:
```bash
# install core dependencies
uv sync
# install dev dependencies
uv pip install -r pyproject.toml --extra dev
```

## Setup tox testing
See information on https://github.com/tox-dev/tox-uv
```bash
uv tool install tox --with tox-uv
```
Run single tox target
```bash
tox r -e py312
```
Run all tests in parallel
```bash
tox run-parallel
```

# Setup pre-commit
pip install pre-commit
pre-commit install
pre-commit run
